<div [hidden]="!showSpinner">
    <app-spinner></app-spinner>
</div>
<div id="accounts-list-component">
    <table class="table table-hover table-striped table-bordered table-sm">
        <thead>
        <tr>
            <!-- <th style="text-align:center">Status</th> -->
            <th>Company</th>
            <th>Account Name</th>
            <th>Email Address</th>
            <th>Active Modules</th>
            <th>Users</th>
            <th>Objects</th>
            <th style="text-align:center">Actions</th>
        </tr>
        </thead>
        <tbody>
         <tr *ngFor="let item of packageData | async  | paginate: { itemsPerPage: itemPerPage, currentPage: currentPage, totalItems: totalItems }">
                <!-- <td class="status-col" style="text-align:center">
                    <i [hidden]="item.IsActive == 0" style="color:green" class="fa fa-check-circle"></i>
                    <i [hidden]="item.IsActive == 1" style="color:red" class="fa fa-exclamation-circle"></i>
                </td> -->
                <td> {{ item.Company }}</td>
                <td> {{ item.Name }}</td>
                <td> {{ item.EmailAddress }}</td>
                <td> {{ item.Modules.length }}</td>
                <td> {{ item.ActiveUsers.length }}</td>
                <td> {{ item.Sites.length }}</td> 
                <td style="text-align:center">
                    <a (click)="editAccount(item.Id)"><i style="color:#ffc107" class="fa fa-pencil"></i></a> &nbsp;
                    <a (click)="editAccountModule(item.Id)"><i style="color:#343a40" class="fa fa-cog"></i></a> &nbsp;
                    <a (click)="editAccountUser(item.Id)"><i style="color:#28a745" class="fa fa-user"></i></a> &nbsp;
                    <a (click)="editAccountSite(item.Id)"><i style="color:#dc3545" class="fa fa-university"></i></a> &nbsp;
                </td>
            </tr> 
             <tr [hidden]="totalItems > 0">
                <td colspan="8" style="text-align: center;">
                    No Records to show
                </td>
            </tr>  
        </tbody>
    </table>
    <br />
    <div class="pull-right">
        <pagination-controls (pageChange)="loadData($event)"></pagination-controls> 
    </div>
</div>